> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Create a Status Page Post Update

`POST https://api.pagerduty.com/status_pages/{id}/posts/{post_id}/post_updates`

Create a Post Update for a Post by Post ID.

Scoped OAuth requires: `status_pages.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |
| `post_id` | string | yes | The ID of the Status Page Post. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `post_update` | object | yes | Attributes for Post Update creation/update. |
| `post_update.self` | string |  | The path to which the Post Update resource is accessible. Read-only. |
| `post_update.post` | object | yes | Status Page Post. |
| `post_update.post.id` | string | yes | Status page post unique identifier. |
| `post_update.post.type` | string | yes | A string that determines the schema of the object. |
| `post_update.message` | string | yes | The message of the Post Update. Max length: 7500. |
| `post_update.status` | object | yes | Status Page Status. |
| `post_update.status.id` | string | yes | Status page Status unique identifier. |
| `post_update.status.type` | string | yes | A string that determines the schema of the object. |
| `post_update.severity` | object | yes | Status Page Severity. |
| `post_update.severity.id` | string | yes | Status page Severity unique identifier. |
| `post_update.severity.type` | string | yes | A string that determines the schema of the object. |
| `post_update.impacted_services` | array of object | yes | Impacted services represent the status page services affected by a post update, and its impact. Min items: 0. |
| `post_update.impacted_services[].service` | object | yes | Status Page Service. |
| `post_update.impacted_services[].service.id` | string | yes | An unique identifier within Status Page scope that defines a Service entry. |
| `post_update.impacted_services[].service.type` | string | yes | The type of the object - in this case, a Status Page Service. |
| `post_update.impacted_services[].impact` | object | yes | Status Page Impact. |
| `post_update.impacted_services[].impact.id` | string | yes | An unique identifier within Status Page scope that defines a Status Page Impact entry. |
| `post_update.impacted_services[].impact.type` | string | yes | The type of the object - in this case, a Status Page Impact. |
| `post_update.update_frequency_ms` | integer \| null | yes | The frequency of the next Post Update in milliseconds. |
| `post_update.notify_subscribers` | boolean | yes | Determines if the subscribers should be notified of the Post Update. |
| `post_update.reported_at` | string \| null (date-time) |  | The date and time the Post Update was reported. |
| `post_update.type` | string | yes | The type of the object returned by the API - in this case, a Status Page Post Update. |

Example: default

```json
{
  "post_update": {
    "impacted_services": [
      {
        "impact": {
          "id": "PY5OM08",
          "type": "status_page_impact"
        },
        "service": {
          "id": "PYHMEI3",
          "type": "status_page_service"
        }
      }
    ],
    "message": "<p>Message</p>",
    "notify_subscribers": false,
    "update_frequency_ms": 300000,
    "post": {
      "id": "P6F2CJ3",
      "type": "status_page_post"
    },
    "severity": {
      "id": "PY5OM08",
      "type": "status_page_severity"
    },
    "status": {
      "id": "P0400H4",
      "type": "status_page_status"
    },
    "type": "status_page_post_update"
  }
}
```

## Response 201

Created

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `post_update` | object |  | An update for a Post. |
| `post_update.id` | string |  | The ID of the Post Update. Read-only. |
| `post_update.self` | string |  | The path to which the Post Update resource is accessible. Read-only. |
| `post_update.post` | object |  | Status Page Post. |
| `post_update.post.id` | string | yes | Status page post unique identifier. |
| `post_update.post.type` | string |  | A string that determines the schema of the object. |
| `post_update.message` | string |  | The message of the Post Update. |
| `post_update.reviewed_status` | string |  | The status of the Post Updates to retrieve. One of: `approved`, `not_reviewed`. |
| `post_update.status` | object |  | Status Page Status. |
| `post_update.status.id` | string | yes | Status page Status unique identifier. |
| `post_update.status.type` | string |  | A string that determines the schema of the object. |
| `post_update.severity` | object |  | Status Page Severity. |
| `post_update.severity.id` | string | yes | Status page Severity unique identifier. |
| `post_update.severity.type` | string |  | A string that determines the schema of the object. |
| `post_update.impacted_services` | array of object |  | Impacted services represent the status page services affected by a post update, and its impact. Min items: 0. |
| `post_update.impacted_services[].service` | object |  | Status Page Service. |
| `post_update.impacted_services[].service.id` | string |  | An unique identifier within Status Page scope that defines a Service entry. Read-only. |
| `post_update.impacted_services[].service.type` | string |  | The type of the object returned by the API - in this case, a Status Page Service. |
| `post_update.impacted_services[].impact` | object |  | Status Page Impact. |
| `post_update.impacted_services[].impact.id` | string |  | An unique identifier within Status Page scope that defines a Status Page Impact entry. Read-only. |
| `post_update.impacted_services[].impact.type` | string |  | The type of the object returned by the API - in this case, a Status Page Impact. |
| `post_update.update_frequency_ms` | integer \| null |  | The frequency of the next Post Update in milliseconds. |
| `post_update.notify_subscribers` | boolean |  | Determines if the subscribers should be notified of the Post Update. |
| `post_update.reported_at` | string \| null (date-time) |  | The date and time the Post Update was reported. |
| `post_update.type` | string |  | The type of the object returned by the API - in this case, a Status Page Post Update. |

Example: default

```json
{
  "post_update": {
    "id": "PXSOCH0",
    "impacted_services": [
      {
        "impact": {
          "id": "PY5OM08",
          "self": "https://api.pagerduty.com/status_pages/PR5LMML/impacts/PY5OM08",
          "type": "status_page_impact"
        },
        "service": {
          "id": "PYHMEI3",
          "self": "https://api.pagerduty.com/status_pages/PR5LMML/services/PYHMEI3",
          "type": "status_page_service"
        }
      }
    ],
    "message": "<p>We will be undergoing schedule maitenance at this date and time</p>",
    "notify_subscribers": false,
    "post": {
      "id": "P6F2CJ3",
      "self": "https://api.pagerduty.com/status_pages/PR5LMML/posts/P6F2CJ3",
      "type": "status_page_post"
    },
    "reported_at": "2023-12-12T10:08:19.000Z",
    "self": "https://api.pagerduty.com/status_pages/PR5LMML/posts/P6F2CJ3/post_updates/PXSOCH0",
    "severity": {
      "id": "P6F2CJ4",
      "self": "https://api.pagerduty.com/status_pages/PR5LMML/severities/P6F2CJ4",
      "type": "status_page_severity"
    },
    "status": {
      "id": "P6F2CJ3",
      "self": "https://api.pagerduty.com/status_pages/PR5LMML/statuses/P6F2CJ3",
      "type": "status_page_status"
    },
    "type": "status_page_post_update",
    "update_frequency_ms": 300000
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
